# This file created by conda-build 24.1.2
# meta.yaml template originally from:
# /feedstock/recipe, last modified Tue Jun 11 20:37:49 2024
# ------------------------------------------------

package:
  name: conda-package-handling
  version: 2.3.0
source:
  sha256: e26e42b5dc1280237491c025a7e6f23634126463abeace67655c725020d705fb
  url: https://github.com/conda/conda-package-handling/archive/2.3.0.tar.gz
build:
  entry_points:
    - cph = conda_package_handling.cli:main
  number: '0'
  script: /croot/conda-package-handling_1718138280719/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_plac/bin/python
    -m pip install . --no-deps --no-build-isolation -vv
  string: py312hd43f75c_0
requirements:
  build:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 51_gnu
    - bzip2 1.0.8 h998d150_6
    - ca-certificates 2024.3.11 hd43f75c_0
    - expat 2.6.2 h419075a_0
    - ld_impl_linux-aarch64 2.38 h8131f2d_1
    - libffi 3.4.4 h419075a_1
    - libgcc-ng 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libstdcxx-ng 11.2.0 h1234567_1
    - libuuid 1.41.5 h998d150_0
    - ncurses 6.4 h419075a_0
    - openssl 3.0.13 h2f4d8fa_2
    - python 3.12.3 h8edadfe_1
    - readline 8.2 h998d150_0
    - sqlite 3.45.3 h998d150_0
    - tk 8.6.14 h987d8db_0
    - tzdata 2024a h04d1e81_0
    - xz 5.4.6 h998d150_1
    - zlib 1.2.13 h998d150_1
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 51_gnu
    - bzip2 1.0.8 h998d150_6
    - ca-certificates 2024.3.11 hd43f75c_0
    - expat 2.6.2 h419075a_0
    - ld_impl_linux-aarch64 2.38 h8131f2d_1
    - libffi 3.4.4 h419075a_1
    - libgcc-ng 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libstdcxx-ng 11.2.0 h1234567_1
    - libuuid 1.41.5 h998d150_0
    - ncurses 6.4 h419075a_0
    - openssl 3.0.13 h2f4d8fa_2
    - pip 24.0 py312hd43f75c_0
    - python 3.12.3 h8edadfe_1
    - readline 8.2 h998d150_0
    - setuptools 69.5.1 py312hd43f75c_0
    - sqlite 3.45.3 h998d150_0
    - tk 8.6.14 h987d8db_0
    - tzdata 2024a h04d1e81_0
    - wheel 0.43.0 py312hd43f75c_0
    - xz 5.4.6 h998d150_1
    - zlib 1.2.13 h998d150_1
  run:
    - conda-package-streaming >=0.9.0
    - python >=3.12,<3.13.0a0
    - zstandard >=0.15
test:
  commands:
    - pip check
    - pytest -v --cov=conda_package_handling --color=yes tests/
  imports:
    - conda_package_handling
    - conda_package_handling.api
  requires:
    - mock
    - pip
    - pytest
    - pytest-cov
    - pytest-mock
    - requests
  source_files:
    - tests
about:
  description: '`conda` and `conda-build` use `conda_package_handling.api` to create
    and extract

    conda packages. This package also provides the `cph` command line tool to

    extract, create, and convert between formats.

    '
  dev_url: https://github.com/conda/conda-package-handling
  doc_url: https://conda.github.io/conda-package-handling/
  home: https://github.com/conda/conda-package-handling
  license: BSD-3-Clause
  license_family: BSD
  license_file: LICENSE
  summary: Create and extract conda packages of various formats.
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: 55587162-3466-402d-b45b-cddffb951eef
  recipe-maintainers:
    - beckermr
    - dbast
    - dholth
    - jezdez
  remote_url: git@github.com:AnacondaRecipes/conda-package-handling-feedstock.git
  sha: d4199e8bbb72f41b10cc5a38bf544fa1eddd1049
